net-vpn / ipsec-tools

A port of KAME's IPsec utilities to the Linux-2.6 IPsec implementation

Official package sites : http://ipsec-tools.sourceforge.net/ ·

v0.8.2-r8 :: 0 :: gentoo (Masked by set 4941)

Modified
License
BSD GPL-2
Keywords
amd64 arm ppc ppc64 x86 ~ia64 ~mips
USE flags
hybrid idea ipv6 kerberos ldap nat pam rc5 readline selinux stats

General

hybrid
Makes available both mode-cfg and xauth support
idea
Enable support for the IDEA algorithm
ipv6
Add support for IP version 6
kerberos
Add kerberos support
ldap
Add LDAP support (Lightweight Directory Access Protocol)
nat
Enable NAT-Traversal
pam
Add support for PAM (Pluggable Authentication Modules) - DANGEROUS to arbitrarily flip
rc5
Enable support for the patented RC5 algorithm
readline
Enable support for libreadline, a GNU line-editing library that almost everyone wants
selinux
!!internal use only!! Security Enhanced Linux support, this must be set by the selinux profile or breakage will occur
stats
Enable statistics reporting

kernel

linux
KERNEL setting for system using the Linux kernel

app-portage / elt-patches : Collection of patches for libtool.eclass

dev-libs / openssl : Robust, full-featured Open Source Toolkit for the Transport Layer Security (TLS)

net-nds / openldap : LDAP suite of application and development tools

sys-devel / autoconf : Used to create autoconfiguration files

sys-devel / automake : Used to generate Makefile.in from Makefile.am

sys-devel / gnuconfig : Updated config.sub and config.guess file from GNU

sys-devel / libtool : A shared library tool for developers

sys-kernel / linux-headers : Linux system headers

sys-libs / libselinux : SELinux userland library

sys-libs / pam : Linux-PAM (Pluggable Authentication Modules)

sys-libs / readline : Another cute console display library

virtual / krb5 : Virtual for Kerberos V implementation

virtual / libcrypt : Virtual for libcrypt.so

virtual / pkgconfig : Virtual for the pkg-config implementation

dev-libs / openssl : Robust, full-featured Open Source Toolkit for the Transport Layer Security (TLS)

net-nds / openldap : LDAP suite of application and development tools

sec-policy / selinux-ipsec : SELinux policy for ipsec

sys-libs / libselinux : SELinux userland library

sys-libs / pam : Linux-PAM (Pluggable Authentication Modules)

sys-libs / readline : Another cute console display library

virtual / krb5 : Virtual for Kerberos V implementation

virtual / libcrypt : Virtual for libcrypt.so


4941
Anthony G. Basile
Masked for removal in 30 days. Deprecated upstream.
  • net-vpn/ipsec-tools
Repository mirror & CI · gentoo
Merge updates from master
Sam James · gentoo
net-vpn/ipsec-tools: add missing libcrypt dependency
Signed-off-by: Sam James <sam@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Ionen Wolkens · gentoo
net-vpn/ipsec-tools: use binding := for dev-libs/openssl
Needed for upcoming upgrade to OpenSSL 3.0.0 which has changed ABI. Acked-by: David Seifert <soap@gentoo.org> Signed-off-by: Ionen Wolkens <ionen@gentoo.org> Signed-off-by: Sam James <sam@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Mikle Kolyada · gentoo
net-vpn/ipsec-tools: remove libressl support
Package-Manager: Portage-3.0.18, Repoman-3.0.2 Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Sam James · gentoo
net-vpn/ipsec-tools: fix variable references
Package-Manager: Portage-3.0.14-prefix, Repoman-3.0.2 Signed-off-by: Sam James <sam@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Joonas Niilola · gentoo
net-vpn/ipsec-tools: fix SizeViolation issue
Closes: https://bugs.gentoo.org/748207 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Anthony G. Basile · gentoo
net-vpn/ipsec-tools: cleanup vulnerable version, bug #624832
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Anthony G. Basile <blueness@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Agostino Sarubbo · gentoo
net-vpn/ipsec-tools: amd64 stable wrt bug #624832
Package-Manager: Portage-2.3.99, Repoman-2.3.22 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Agostino Sarubbo · gentoo
net-vpn/ipsec-tools: ppc64 stable wrt bug #624832
Package-Manager: Portage-2.3.99, Repoman-2.3.22 RepoMan-Options: --include-arches="ppc64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Agostino Sarubbo · gentoo
net-vpn/ipsec-tools: ppc stable wrt bug #624832
Package-Manager: Portage-2.3.99, Repoman-2.3.22 RepoMan-Options: --include-arches="ppc" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Agostino Sarubbo · gentoo
net-vpn/ipsec-tools: arm stable wrt bug #624832
Package-Manager: Portage-2.3.99, Repoman-2.3.22 RepoMan-Options: --include-arches="arm" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Thomas Deutschmann · gentoo
net-vpn/ipsec-tools: x86 stable (bug #624832)
Package-Manager: Portage-2.3.101, Repoman-2.3.22 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Anthony G. Basile · gentoo
net-vpn/ipsec-tools: add patch for CVE-2016-1039, bug #624832
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Anthony G. Basile <blueness@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Anthony G. Basile · gentoo
net-vpn/ipsec-tools: fix bug #674460
Package-Manager: Portage-2.3.76, Repoman-2.3.16 Signed-off-by: Anthony G. Basile <blueness@gentoo.org>
Jason A. Donenfeld · gentoo
Move VPN packages into net-vpn/